package de.ivu.elect.business.gruppe.entity;

import org.apache.commons.lang3.StringUtils;

/**
 *  on 22.07.2015.
 */
public enum GruppenDarstellung {

  NAME {
    @Override
    public String getBezeichnung(Gruppe gruppe) {
      return gruppe.getName();
    }
  },
  KURZNAME {
    @Override
    public String getBezeichnung(Gruppe gruppe) {
      if (StringUtils.isNotBlank(gruppe.getKurzname())) {
        return gruppe.getKurzname();
      }
      return NAME.getBezeichnung(gruppe);
    }
  };

  public abstract String getBezeichnung(Gruppe gruppe);
}
